%  usage: [y] = evalFuncRd(fun,v,varargin)
% 
%  fun - Funktion die ausgewertet werden soll
%  v - Matrix mit Spaltenvektoren als Stellen, die ausgewertet
%  varargin - zusaetzliche Argumente fuer fun
%  Berechnet die Funktionswerte von fun an den Stellen von v in R^size(v,1)

function y = evalFuncRd(fun,v,varargin)
  n = size(v,2);
  if nargin>2
      for i = 1:n
          y(i,1) = feval(fun,v(:,i),varargin{1});
      end
  else
      for i = 1:n
          y(i,1) = feval( fun,v(:,i) );
      end
  end 
end
